org.apache.mina.core.filterchain

## Interface IoFilterChain.Entry

- Enclosing interface:
    IoFilterChain

      public static interface IoFilterChain.Entry

  Represents a name-filter pair that an `IoFilterChain` contains.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAfter(String name, IoFilter filter)` Adds the specified filter with the specified name just after this entry.
    `void` | `addBefore(String name, IoFilter filter)` Adds the specified filter with the specified name just before this entry.
    `IoFilter` | `getFilter()` Returns the filter.
    `String` | `getName()` Returns the name of the filter.
    `IoFilter.NextFilter` | `getNextFilter()`
    `void` | `remove()` Removes this entry from the chain it belongs to.
    `void` | `replace(IoFilter newFilter)` Replace the filter of this entry with the specified new filter.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the filter.

    - #### getFilter

          IoFilter getFilter()

      Returns the filter.

    - #### getNextFilter

          IoFilter.NextFilter getNextFilter()

      Returns:
        The `IoFilter.NextFilter` of the filter.

    - #### addBefore

          void addBefore(String name,
                       IoFilter filter)

      Adds the specified filter with the specified name just before this entry.

    - #### addAfter

          void addAfter(String name,
                      IoFilter filter)

      Adds the specified filter with the specified name just after this entry.

    - #### replace

          void replace(IoFilter newFilter)

      Replace the filter of this entry with the specified new filter.

    - #### remove

          void remove()

      Removes this entry from the chain it belongs to.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.